Package org.gradle.nativeplatform

## Interface SharedLibraryBinarySpec

- All Superinterfaces:
    `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `LibraryBinarySpec`, `ModelElement`, `Named`, `NativeBinarySpec`, `NativeLibraryBinarySpec`

      @Incubating
      public interface SharedLibraryBinarySpec
      extends NativeLibraryBinarySpec

  A shared library binary built by Gradle for a native library.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `SharedLibraryBinarySpec.TasksCollection` | Provides access to key tasks used for building the binary.

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `File` | `getSharedLibraryFile()` | The shared library file.
    `File` | `getSharedLibraryLinkFile()` | The shared library link file.
    `SharedLibraryBinarySpec.TasksCollection` | `getTasks()` | The set of tasks associated with this binary.
    `void` | `setSharedLibraryFile​(File sharedLibraryFile)` | The shared library file.
    `void` | `setSharedLibraryLinkFile​(File sharedLibraryLinkFile)` | The shared library link file.

    - ### Methods inherited from interface org.gradle.platform.base.Binary

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.BinarySpec

      `getInputs, getSources, isBuildable`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

      `checkedBy, getCheckTask, setCheckTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

      `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeLibraryBinarySpec

      `getComponent, getLibrary`

- - ### Method Detail

    - #### getSharedLibraryFile

          File getSharedLibraryFile()

      The shared library file.

    - #### getSharedLibraryLinkFile

          File getSharedLibraryLinkFile()

      The shared library link file.

    - #### setSharedLibraryFile

          void setSharedLibraryFile​(File sharedLibraryFile)

      The shared library file.

    - #### setSharedLibraryLinkFile

          void setSharedLibraryLinkFile​(File sharedLibraryLinkFile)

      The shared library link file.

    - #### getTasks

          SharedLibraryBinarySpec.TasksCollection getTasks()

      The set of tasks associated with this binary.
      Specified by:
        `getTasks` in interface `BinarySpec`